Subject: bug#55664: closed (Re: bug#55504: Test suite of emacs-deferred does not progress)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 May 2022 06:56:02 +0000

Your bug report

#55504: emacs-deferred: hangs during build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55504: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55504
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55504: Test suite of emacs-deferred does not progress
From: Liliana Marie Prikler <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>, Ludovic Courtès<[email-masked]>
Cc: [email-masked], "Jorge P. de Morais Neto" <[email-masked]>
Date: Fri, 27 May 2022 08:55:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 25.05.2022 um 19:09 +0200 schrieb Giovanni Biscuolo:
> I'm not able to find what's the call with the wrong number of
> arguments but what about to (temporary) disable the failing tests
> like for example in 0ae9e75c31b22ea55093f4cd05954f366b1f8bcc (emacs-
> eply)?
That's unlikely to work as it'll just bring dependent packages to hang.
Anyway, I fixed the actual bug, so it's no longer necessary to debate
workarounds.

Cheers

Subject: emacs-deferred: hangs during build
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Thu, 26 May 2022 10:15:58 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs-deferred build hangs - during the check phase, I think:

```
starting phase `check'
ert-runner test/deferred-test.el
emacs -batch -L . -f batch-byte-compile deferred.el
ert-runner test/concurrent-test.el
Loading /gnu/store/vmqx1zhw3gn2xzslzzgdgbmk15ry6347-emacs-ert-expectations-0.2/share/emacs/site-lisp/ert-expectations-0.2/ert-expectations-autoloads...
Loading /gnu/store/sqq9wb1fmmfpqnliz2zslh1j12ppib53-emacs-ert-runner-0.8.0/share/emacs/site-lisp/ert-runner-0.8.0/ert-runner-autoloads...
Loading /gnu/store/hxmwyw6vfla0c5z2b7w1h59yym0739vs-emacs-undercover-0.8.1/share/emacs/site-lisp/undercover-0.8.1/undercover-autoloads...
Loading /gnu/store/sh2bgdrxpzgdkr5nlyh6q2xw02vj5zk4-emacs-shut-up-0.3.3/share/emacs/site-lisp/shut-up-0.3.3/shut-up-autoloads...
Loading /gnu/store/v8faj6q8qx6zmb6cg63zfgpzryflkdw4-emacs-dash-2.19.1/share/emacs/site-lisp/dash-2.19.1/dash-autoloads...

In deferred:cancelTimeout:
deferred.el:118:8: Warning: docstring wider than 80 characters

In deferred:status:
deferred.el:427:8: Warning: docstring wider than 80 characters

In deferred:nextc:
deferred.el:459:8: Warning: docstring wider than 80 characters

In deferred:error:
deferred.el:464:8: Warning: docstring wider than 80 characters

In deferred:watch:
deferred.el:469:8: Warning: docstring wider than 80 characters

In deferred:earlier-main:
deferred.el:675:33: Warning: value returned from (length (car-safe
    (internal-get-closed-var 3))) is unused
ert-runner test/deferred-test.el -l deferred.elc
Test Finished : 2022/05/26 17:45:34
Tests Fails: 0 / 13
cc:test-dataflow-simple2 : OK
cc:test-semaphore1 : OK
cc:test-signal1 : OK
cc:test-dataflow-simple1 : OK
cc:test-dataflow-parent1 : OK
cc:test-dataflow-simple3 : OK
cc:test-dataflow-simple4 : OK
cc:test-dataflow-parent2 : OK
cc:test-signal2 : OK
cc:test-dataflow-signal : OK
cc:test-semaphore2 : OK
cc:test-fib-gen : OK
cc:test-thread : OK

.

Ran 1 test in 4.432 seconds

deferred error : (wrong-number-of-arguments (3 . 3) 4)

deferred error : (wrong-number-of-arguments (3 . 3) 4)
```

After printing that, nothing else happens on the terminal output until I hit Cntl-C. There does not seem to be any significant amount of CPU activity going on. I've tried adding '-M 1 -c 1' but that doesn't make a difference. My system information:

```
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.17.5-gnu 
Uptime: 7 days, 3 hours, 20 mins 
Packages: 92 (guix-system), 165 (guix-user) 
Shell: bash 5.1.8 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 4491MiB / 7867MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 https://portal.mozz.us/gemini/gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ